Subject: Re: bug#845: GRUB menu not transparent

From: fsmithred <[email-masked]>
Date: Tue, 8 Apr 2025 07:37:40 -0400

close

I looked back at older versions of desktop-base back to jessie and there's 
been no change with /usr/share/desktop-base/grub_background.sh. It has 
always pointed to nothing. I don't think that's the problem here.

I was reminded that there is a problem with the installer getting the grub 
theme right. The problem is that desktop-base gets installed before grub 
but it needs to edit a file that gets installed with grub. (/etc/default/grub)

This was fixed by adding a script that runs at the very end of the 
installation, and it's possible to quit the installer before this happens. 
The result is that you don't get the grub theme.

I'm closing this bug report. It can be re-opened with more information if 
it's still a problem.

fsmithred